Bug 822480 - move /var/lib/net-snmp from net-snmp to net-snmp-libs
Summary: move /var/lib/net-snmp from net-snmp to net-snmp-libs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: net-snmp
Version: 6.2
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
: 827009 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-17 13:20 UTC by Karel Srot
Modified: 2012-06-20 07:21 UTC (History)
5 users (show)

Fixed In Version: net-snmp-5.5-41.el6
Doc Type: Bug Fix
Doc Text:
Net-SNMP daemons and utilites use /var/lib/net-snmp directory to store persistent data, e.g. cache of parsed MIB files. This directory is created by net-snmp package and when this package is not installed, Net-SNMP utilities and libraries create the directory with wrong SELinux context, which results in AVC reported by SELinux. In this update, the /var/lib/net-snmp directory is created by net-snmp-lib package, therefore all Net-SNMP utilities and libraries don't need to create the directory and the directory will have correct SELinux context.
Clone Of:
: 822508 (view as bug list)
Environment:
Last Closed: 2012-06-20 07:21:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0876 normal SHIPPED_LIVE Moderate: net-snmp security and bug fix update 2012-06-19 19:28:47 UTC

Description Karel Srot 2012-05-17 13:20:50 UTC
Description of problem:

Needed because of bug 814091.

/var/lib/net-snmp directory should belong to net-snmp-libs
because of other applications that requires libs but don't need net-snmp itself.

net-snmp-5.5-37.el6

# rpm -ql net-snmp | grep /var/lib/net-snmp
/var/lib/net-snmp

Comment 3 Jan Safranek 2012-05-18 10:17:40 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Net-SNMP daemons and utilites use /var/lib/net-snmp directory to store persistent data, e.g. cache of parsed MIB files. This directory is created by net-snmp package and when this package is not installed, Net-SNMP utilities and libraries create the directory with wrong SELinux context, which results in AVC reported by SELinux. In this update, the /var/lib/net-snmp directory is created by net-snmp-lib package, therefore all Net-SNMP utilities and libraries don't need to create the directory and the directory will have correct SELinux context.

Comment 7 Miroslav Grepl 2012-05-31 13:22:16 UTC
*** Bug 827009 has been marked as a duplicate of this bug. ***

Comment 8 errata-xmlrpc 2012-06-20 07:21:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0876.html


Note You need to log in before you can comment on or make changes to this bug.